=== debian/changelog ===
install-mimic (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #828913.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 17 Nov 2016 11:25:58 +0200
