=== debian/control ===
Source: install-mimic
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 10), perl
Standards-Version: 3.9.8
Homepage: https://devel.ringlet.net/misc/install-mimic/
Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
Testsuite: autopkgtest

Package: install-mimic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: overwrite files and preserve their ownership
 The install-mimic utility copies the specified files to the specified
 destination (file or directory) similarly to install(1), but it preserves
 the ownership and access mode of the destination files.  This is useful when
 updating files that have already been installed with locally modified copies
 that may be owned by the current user and not by the desired owner of the
 destination file (e.g. root).
