=== debian/changelog ===
install-mimic (0.3.1-1) unstable; urgency=medium

  * New upstream release, should fix the kfreebsd-* FTBFS.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 29 Sep 2017 14:31:37 +0300

install-mimic (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream and debian/* copyright years.
  * Update the package for compliance with Debian Policy 4.1.0:
    - drop the implied "Testsuite: autopkgtest" source control field

 -- Peter Pentchev <roam@ringlet.net>  Tue, 26 Sep 2017 10:38:30 +0300
