=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>> 10), perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://devel.ringlet.net/misc/install-mimic/
 Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
 Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
-Testsuite: autopkgtest
 
 Package: install-mimic
 Architecture: any
