=== debian/tests/control ===
Test-Command: env INSTALL_MIMIC='/usr/bin/install-mimic' prove -v t
Depends: @, perl
