=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: install-mimic
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 10), perl
-Standards-Version: 4.1.0
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 12), perl
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/misc/install-mimic/
-Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
-Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
+Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
+Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
+Rules-Requires-Root: no
 
 Package: install-mimic
 Architecture: any
