=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

override_dh_auto_build:
	dh_auto_build -- LFS_CPPFLAGS= LFS_LDFLAGS=
	sed -ne '/^## Version history/,/^- First public release/p' README.md > NEWS.md || (rm -f NEWS.md; false)

override_dh_auto_install:
	dh_auto_install -- INSTALL_SCRIPT='install -m 755' INSTALL_DATA='install -m 644'

override_dh_installchangelogs:
	dh_installchangelogs
	install -m 644 NEWS.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'
