=== debian/tests/control ===
Test-Command: env INSTALL_MIMIC='/usr/bin/install-mimic' prove -v t
Depends: @, perl
Features: test-name=upstream

Test-Command: adequate install-mimic
Depends: @, adequate
Features: test-name=adequate

Test-Command: feature-check install-mimic install-mimic
Depends: @, feature-check
Features: test-name=feature-check
