=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/misc/install-mimic/ https://devel.ringlet.net/(?:files/)?misc/install-mimic/install-mimic-@ANY_VERSION@@ARCHIVE_EXT@
