## install-mimic 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,5 @@
-# Copyright (c) 2015, 2016  Peter Pentchev
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
+# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
+# SPDX-License-Identifier: BSD-2-Clause
 
 PACKAGE=	install-mimic
 VERSION=	`perl install-mimic.pl -V | awk "{print \\$$2}"`
@@ -52,6 +31,8 @@
 LDFLAGS?=
 LDFLAGS+=	${LFS_LDFLAGS}
 LIBS?=
+
+CARGO?=		cargo
 
 PREFIX?=	/usr
 BINDIR?=	${PREFIX}/bin
@@ -92,8 +73,7 @@
 		${GZIP} -cn9 ${PROG}.1 > ${MAN1} || (rm -f -- ${MAN1}; false)
 
 ${PROG_RS}:	${PROG}.rs
-#		rustc -o ${PROG_RS} ${PROG}.rs
-		cargo build
+		${CARGO} build
 
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
@@ -120,7 +100,7 @@
 
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
-		[ ! -d "target" ] || cargo clean
+		[ ! -d "target" ] || ${CARGO} clean
 
 distclean:	clean
 		${RM} Cargo.lock
