=== debian/changelog ===
install-mimic (0.4.1-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Use debhelper compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 12:18:05 +0200

install-mimic (0.4.1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2 with no changes.
    Note that the 0.4.0-6 upload actually declared compliance with
    Policy 4.6.0, not 4.5.0 as was stated in the changelog entry.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api 1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * Point the watch file to the new upstream download page.
  * New upstream release:
    - follow the upstream switch to yearless copyright notices
    - install the docs/changes.md file directly as NEWS.md; no need to
      parse its contents out of README.md anymore. This also fixes
      a FTBFS twice in a row bug. Closes: #1047281

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Feb 2024 01:04:57 +0200

install-mimic (0.4.0-6) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Explicitly specify dh-sequence-single-binary as a build dependency.
  * Add the year 2021 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 17 Dec 2021 16:27:33 +0200

install-mimic (0.4.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Mark the feature-check autopkgtest as superficial.
  * Drop the Name and Contact upstream metadata fields.
  * Set some environment variables for the whole run.
  * Bump the debhelper compat level to 13, use execute_after.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 01:08:21 +0300
