=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 12), perl
-Standards-Version: 4.3.0
+Build-Depends:
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ perl,
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/misc/install-mimic/
 Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
 Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
-Rules-Requires-Root: no
+X-Style: black
 
 Package: install-mimic
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: overwrite files and preserve their ownership
  The install-mimic utility copies the specified files to the specified
