=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

export LFS_CPPFLAGS=
export LFS_LDFLAGS=

export INSTALL_DATA=	install -m 644
export INSTALL_SCRIPT=	install -m 755

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md

execute_after_dh_installchangelogs:
	install -m 644 docs/changes.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'
