## install-mimic 0.4.2

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,7 @@
 
 ${PROG_RS}:	${PROG}.rs
 		${CARGO} build
+		./run-clippy.sh -c "${CARGO}" -n
 
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
@@ -82,6 +83,9 @@
 		${INSTALL_DATA} ${MAN1} ${DESTDIR}${MANDIR}1
 
 test-perl:	install-mimic.pl
+		@[ -z "$$(command -v tidyall || true)" ] || printf "\n===== Validating the Perl 5 implementation\n\n"
+		@[ -z "$$(command -v tidyall || true)" ] || tidyall -a --check-only
+
 		@printf "\n===== Testing the Perl 5 implementation\n\n"
 		[ -x install-mimic.pl ] || chmod +x install-mimic.pl
 		env INSTALL_MIMIC=./install-mimic.pl prove t
@@ -101,6 +105,7 @@
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
 		[ ! -d "target" ] || ${CARGO} clean
+		[ ! -d .tidyall.d ] || rm -rf .tidyall.d
 
 distclean:	clean
 		${RM} Cargo.lock
