=== debian/changelog ===
install-mimic (0.4.2-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Add Salsa CI configuration.
  * Point Vcs-* to the new Salsa repo; the GitHub repo will continue to
    keep a read-only debian/master branch until the EOL of
    Debian 12.x (bookworm).
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Mar 2025 11:30:34 +0200
