=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
  perl,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/misc/install-mimic/
-Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
-Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
+Vcs-Git: https://salsa.debian.org/debian/install-mimic.git
+Vcs-Browser: https://salsa.debian.org/debian/install-mimic
 X-Style: black
 
 Package: install-mimic
