=== debian/changelog ===
install-mimic (0.4.3-2) unstable; urgency=medium

  * Add a superficial `debputy reformat` autopkgtest.
  * Build and install the Rust implementation of install-mimic and
    disable the blhc Salsa CI test.
  * Disable the build-twice and validate-clean-up Salsa CI tests
    because of a false positive.

 -- Peter Pentchev <roam@debian.org>  Thu, 11 Dec 2025 03:01:05 +0200

install-mimic (0.4.3-1) unstable; urgency=medium

  * Convert the watch file to version 5 of the format.
  * Run more tests in Salsa CI.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Thu, 23 Oct 2025 14:26:16 +0300
