=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

override_dh_auto_clean:
	rm -rf target/

override_dh_auto_build:
	[ -d .cargo ] || install -d -m 755 .cargo
	install -m 644 -- debian/cargo-config.toml .cargo/config.toml
	cargo build --release

override_dh_auto_test:
	env INSTALL_MIMIC=./target/release/install-mimic prove -v t

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md

execute_after_dh_installchangelogs:
	install -m 644 docs/changes.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'
