=== debian/tests/control ===
Test-Command: set -e; rm -rf target; mkdir -p target/release; install -m 755 -- /usr/bin/install-mimic target/release; env INSTALL_MIMIC='./target/release/install-mimic' prove -v t
Depends:
 perl,
 @,
Features:
 test-name=upstream,

Test-Command: feature-check install-mimic install-mimic
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,

Test-Command: debputy reformat --no-auto-fix --linter-exit-code
Depends:
 dh-debputy,
 python3-lsprotocol,
Features:
 test-name=debian-debputy,
Restrictions:
 superficial,
